Siebel Connector for SAP R/3 > Modifying Siebel Interfaces After an SAP Upgrade >

SAP DLL Library

Both BAPI/RFC and IDOC interfaces make use of the SAP DLL, librfc32.dll. The Siebel application currently tests with version 46C of this library. SAP guarantees that all newer versions of the SAP library will contain all functionality provided by version 46C and hence should be compatible with Siebel Connector for SAP R/3. However, should an issue arise that may be related to the DLL version, Siebel Technical Support may request that you use the 46C DLL temporarily to eliminate any possible problems that may arise in future versions of the DLL.

For this reason, when upgrading from one SAP version to another, it is not necessary to upgrade the librfc32.dll used by the Siebel Connector for SAP R/3 components (Siebel Tools, Siebel Dedicated Client, Siebel Server Components) to a version higher than 46C. To do so may subject the installation to additional issues that may exist in newer versions of SAP's library. Any issues that are shown to be related to a newer version of this library will need to be referred to SAP support.

Siebel Connector for SAP R/3